Bug 1776010 - Poor getting started message when user doesn't have permission to create projects
Summary: Poor getting started message when user doesn't have permission to create proj...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.3.0
Assignee: Jon Jackson
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On: 1775763
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-24 16:01 UTC by Samuel Padgett
Modified: 2020-01-23 11:14 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1775763
Environment:
Version: 4.3.0-0.ci-2019-11-20-134433 Cluster ID: 3658b6cb-ba73-485e-9e00-33a44c46f7d8 Browser: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.15; rv:70.0) Gecko/20100101 Firefox/70.0
Last Closed: 2020-01-23 11:13:48 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 3554 'None' closed Bug 1776010: Fix getting started message for users who can't self provision 2020-05-08 04:51:44 UTC
Red Hat Product Errata RHBA-2020:0062 None None None 2020-01-23 11:14:20 UTC

Comment 2 Yadan Pei 2019-11-27 03:03:59 UTC
1. Remove self provisioning for authenticated user 
oc edit clusterrolebindings self-provisioners   // remove these 4 lines
subjects:
- apiGroup: rbac.authorization.k8s.io
  kind: Group
  name: system:authenticated:oauth
clusterrolebinding.rbac.authorization.k8s.io/self-provisioners edited

2. User login to console, you will see message 
 To get started, you'll need a project. Currently, you can't create or access any projects. You'll need to contact a cluster administrator for help. No 'Create Project' button


Verified on 4.3.0-0.nightly-2019-11-26-171052

Comment 4 errata-xmlrpc 2020-01-23 11:13:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0062


Note You need to log in before you can comment on or make changes to this bug.